%define module_name	drm
%define module_version	2007.06.24
%define module_release	alt0.1

# git://anongit.freedesktop.org/git/mesa/drm
%define module_source	%module_name-%module_version.tar.bz2

#### MODULE SOURCES ####
Name: kernel-source-%module_name-%module_version
Version: %module_version
Release: %module_release
Summary: Linux %module_name modules sources
License: GPL
Group: Development/Kernel
URL: http://dri.freedesktop.org/
Source: %module_source
Patch: drm-2006.02.23-define_spinlock.patch
BuildArch: noarch

BuildRequires: kernel-build-tools

%description
%module_name modules sources for Linux kernel

%prep
%setup -c
cd %module_name-%module_version
%patch -p1
find . -name '*.orig' -print -delete
cd ..
%__mv %module_name-%module_version kernel-source-%module_name-%module_version

%install
%__mkdir_p %kernel_srcdir
%__tar -c  kernel-source-%module_name-%module_version | %__bzip2 -c > \
	%kernel_srcdir/kernel-source-%module_name-%module_version.tar.bz2

%files
%_usrsrc/*

%changelog
* Sun Jun 24 2007 Led <led@altlinux.ru> 2007.06.24-alt0.1
- 2007.06.24 git snapshot
- removed drm-2006.02.23-debug-rights.patch (fixed in upstream)
- removed drm-2006.02.23-via-spinlocks.patch (fixed in upstream)

* Fri Oct 20 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.10.17-alt1
- 2006.10.17 git snapshot (561e23a7c2f06b382613d3e2ae8d23104d0949aa).

* Mon Sep 18 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.09.15-alt1
- 2006.09.15 git snapshot (6ba9127753eff7615ba553fbc567aec98ecf8104).
- Removed alt-section-mismatch patch (fixed upstream).
- Updated URL.

* Fri Jun 23 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.06.23-alt1
- Updated to 2006.06.23 CVS snapshot.
- Added patches:
  + drm-2006.06.22-alt-section-mismatch.patch: fix section mismatch warnings
    due to use of EXPORT_SYMBOL on __exit functions

* Thu Feb 23 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.02.23-alt1
- Updated to 2006.02.23 CVS snapshot.
- Updated define_spinlock patch.
- Added patches:
  + drm-2006.02.23-debug-rights.patch: fix permissions for 'debug' parameter in
    sysfs (CAN-2005-3179)
  + drm-2006.02.23-via-spinlocks.patch: fix compilation with
    -feat-realtime-preempt (from lakostis@)

* Mon Nov 29 2005 LAKostis <lakostis at altlinux.ru> 2005.11.18-alt1
- Updated to 2005.11.18 due x86_64 fixes.

* Sat Oct 08 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.10.08-alt1
- Updated to 2005.10.08 CVS snapshot.

* Fri Jul 22 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.22-alt1
- Updated to 2005.07.22 CVS snapshot.
- Added patch to fix compilation with realtime-preempt kernel patch.

* Mon May 30 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.30-alt1
- Updated to 2005.05.30 CVS snapshot.

* Fri May 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.13-alt1
- Packaged sources from DRI CVS.
